package varargsExample;

public class VarargsExample {
    
    // Method that accepts a variable number of arguments
    public static void printNumbers(int... numbers) {
        System.out.println("Numbers passed to the method:");
        
        // Iterating through the varargs (which is treated as an array)
        for (int num : numbers) {
            System.out.println(num);
        }
    }

    public static void main(String[] args) {
        // Calling the method with different numbers of arguments
        printNumbers(1, 2, 3, 4, 5);   // Passing 5 numbers
        printNumbers(10, 20);          // Passing 2 numbers
        printNumbers();                // Passing no numbers
    }
}
